Bug 258281 - Error when searching films using allocine script
Summary: Error when searching films using allocine script
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Applications
Component: general (show other bugs)
Version: 2.3.1
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-29 14:36 UTC by Romain Henriet
Modified: 2010-12-08 15:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
patch for fetching image (1.05 KB, patch)
2010-11-29 14:36 UTC, Romain Henriet
Details
Other patch to correct Title fetching too (1.37 KB, patch)
2010-12-04 11:42 UTC, Romain Henriet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Henriet 2010-11-29 14:36:06 UTC
Created attachment 53857 [details]
patch for fetching image

Version:           2.3.1 (using KDE 4.5.4) 
OS:                Linux

Rational expression is no longer correct to fetch film's image as allocine'shtml may have changed.

Reproducible: Always

Steps to Reproduce:
Saerch for a film using allocine.fr script.
Comment 1 Romain Henriet 2010-12-04 11:42:29 UTC
Created attachment 54074 [details]
Other patch to correct Title fetching too
Comment 2 Mathias Monnerville 2010-12-08 15:01:30 UTC
I just applied your patch, added better handling of image parsing/fetching errors and pushed a new version 0.7.3 of the script (SVN revision 1204639).

Thanks for reporting!